
QGIS Application - Bug report #21199

Projection change during Vector - Create Grid causes crash

2019-02-08 01:33 AM - Nigel Luckman

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:3.4.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 29017

Description

Creating a grid in a different projection than the project CRS

Opened project properties, changed project CRS to match that of grid, QGIS crashed with crash report below.

Note that the copy report button in the QGIS crash dialog box (uh oh) is always greyed out.

Crash ID: 13c4e7c743665f62065cc1e140ace2a161a24e8b

Stack Trace

QObjectPrivate::addConnection :

QObjectPrivate::connectImpl :

QObject::connectImpl :

QgsAggregateToolButton::updateAvailableAggregates :

QgsMapCanvas::setMapTool :

QgisApp::activateDeactivateLayerRelatedActions :

QgisApp::layerEditStateChanged :

QMetaObject::activate :

QgsVectorLayer::setReadOnly :

QgsProjectProperties::apply :

QMetaObject::activate :

QDialog::done :

QMetaObject::activate :

QDialogButtonBox::~QDialogButtonBox :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :
QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

DispatchMessageW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QDialog::exec :

QgisApp::projectProperties :

QgisApp::identifyMapTool :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

DispatchMessageW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.4-Madeira

QGIS code revision: f6ddc62fdb

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17763
History

#1 - 2019-02-08 01:07 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to High

- Status changed from Open to Feedback

Please try with a new/clean profile (no 3rd party plugins installed).

#2 - 2019-03-08 10:42 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closing for lack of feedback.
